For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get insight group
LaunchDarkly supports expanding the insight group response to include additional fields.
To expand the response, append the expand query parameter and include the following:
scores includes details on all of the scores used in the engineering insights metrics views for this groupenvironment includes details on each environment associated with this groupFor example, use ?expand=scores to include the scores field in the response. By default, this field is not included in the response.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/engineering-insights/insights/groups/{insightGroupKey} \
--header 'Authorization: <api-key>'{
"key": "default-production-all-apps",
"name": "Production - All Apps",
"projectKey": "default",
"environmentKey": "production",
"createdAt": "1706701522000",
"environment": {
"_links": {
"self": {
"href": "/api/v2/projects/my-project/environments/my-environment",
"type": "application/json"
}
},
"_id": "57be1db38b75bf0772d11384",
"key": "environment-key-123abc",
"name": "My Environment",
"apiKey": "sdk-xxx",
"mobileKey": "mob-xxx",
"color": "F5A623",
"defaultTtl": 5,
"secureMode": true,
"defaultTrackEvents": false,
"requireComments": true,
"confirmChanges": true,
"tags": [
"ops"
],
"critical": true,
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"approvalSettings": {
"required": true,
"bypassApprovalsForPendingChanges": false,
"minNumApprovals": 1,
"canReviewOwnRequest": false,
"canApplyDeclinedChanges": true,
"serviceKind": "launchdarkly",
"serviceConfig": {},
"requiredApprovalTags": [
"require-approval"
],
"autoApplyApprovedChanges": true,
"serviceKindConfigurationId": "1ef45a85-218f-4428-a8b2-a97e5f56c258"
},
"resourceApprovalSettings": {}
},
"scores": {
"overall": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"deploymentFrequency": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"deploymentFailureRate": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"leadTime": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"impactSize": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"experimentationCoverage": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"flagHealth": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"velocity": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"risk": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"efficiency": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"creationRatio": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
}
},
"scoreMetadata": {
"period": {
"startTime": "1706701522000",
"endTime": "1706701522000"
},
"lastPeriod": {
"startTime": "1706701522000",
"endTime": "1706701522000"
}
},
"applicationKeys": [
"billing-service",
"inventory-service"
]
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The insight group key
Options: scores, environment
Insight group response
The insight group key
"default-production-all-apps"
The insight group name
"Production - All Apps"
The project key
"default"
The environment key
"production"
The time the insight group was created
"1706701522000"
Expanded details about the environment
Show child attributes
The scores for the insight group
Show child attributes
Metadata about the insight scores, when expanded
Show child attributes
The application keys
["billing-service", "inventory-service"]curl --request GET \
--url https://app.launchdarkly.com/api/v2/engineering-insights/insights/groups/{insightGroupKey} \
--header 'Authorization: <api-key>'{
"key": "default-production-all-apps",
"name": "Production - All Apps",
"projectKey": "default",
"environmentKey": "production",
"createdAt": "1706701522000",
"environment": {
"_links": {
"self": {
"href": "/api/v2/projects/my-project/environments/my-environment",
"type": "application/json"
}
},
"_id": "57be1db38b75bf0772d11384",
"key": "environment-key-123abc",
"name": "My Environment",
"apiKey": "sdk-xxx",
"mobileKey": "mob-xxx",
"color": "F5A623",
"defaultTtl": 5,
"secureMode": true,
"defaultTrackEvents": false,
"requireComments": true,
"confirmChanges": true,
"tags": [
"ops"
],
"critical": true,
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"approvalSettings": {
"required": true,
"bypassApprovalsForPendingChanges": false,
"minNumApprovals": 1,
"canReviewOwnRequest": false,
"canApplyDeclinedChanges": true,
"serviceKind": "launchdarkly",
"serviceConfig": {},
"requiredApprovalTags": [
"require-approval"
],
"autoApplyApprovedChanges": true,
"serviceKindConfigurationId": "1ef45a85-218f-4428-a8b2-a97e5f56c258"
},
"resourceApprovalSettings": {}
},
"scores": {
"overall": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"deploymentFrequency": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"deploymentFailureRate": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"leadTime": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"impactSize": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"experimentationCoverage": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"flagHealth": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"velocity": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"risk": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"efficiency": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
},
"creationRatio": {
"score": 100,
"indicator": "excellent",
"indicatorRange": {
"min": 0,
"max": 100
},
"aggregateOf": [
"deploymentFrequency",
"leadTime"
],
"diffVsLastPeriod": 123,
"lastPeriod": "<unknown>"
}
},
"scoreMetadata": {
"period": {
"startTime": "1706701522000",
"endTime": "1706701522000"
},
"lastPeriod": {
"startTime": "1706701522000",
"endTime": "1706701522000"
}
},
"applicationKeys": [
"billing-service",
"inventory-service"
]
}